rebuilds for libssl0.9.7 -> libssl0.9.8

Kees Cook kees at ubuntu.com
Thu Oct 12 23:45:43 BST 2006


Hi!  I've been making my way through packages that were still linked 
against libssl0.9.7, and have made some good progress (21 successfully 
rebuilt).  I've moved on to small code changes which is mostly the md5.h 
includes, and minor other fixes (current count: 10).

At this point, I've run into some strange stuff that I'm not sure how to 
deal with:

aolserver4-nsopenssl, aolserver4-nsimap: Built fine for all but amd64.  
Their prereq "aolserver4"'s most recent build only built for amd64[1] 
(all others failed), and has a bad start-up script (uses "source" 
instead of ".").  Should we try to fix aolserver4's latest version, or 
is there a way to "reject" the most recent build in favor of the earlier 
one?

arla: build-dep conflicts:
 The following packages have unmet dependencies:
  heimdal-dev: Conflicts: kerberos4kth-dev but 1.2.2-11.3ubuntu4 is to be installed
  kerberos4kth-dev: Depends: libotp0-kerberos4kth (= 1.2.2-11.3ubuntu4) but it is not going to be installed
                    Depends: libroken16-kerberos4kth (= 1.2.2-11.3ubuntu4) but it is not going to be installed
                    Depends: libkafs0-kerberos4kth (= 1.2.2-11.3ubuntu4) but it is not going to be installed
                    Depends: libkafs0-kerberos4kth (>= 1.2.2-11.3ubuntu4) but it is not going to be installed
                    Depends: libroken16-kerberos4kth (>= 1.2.2-11.3ubuntu4) but it is not going to be installed
                    Depends: libdb4.3-dev but it is not going to be installed
Any clue on how to fix this up?

sope: build-dep conflicts:
 The following packages have unmet dependencies:
   apache-dev: Depends: libdb4.4-dev but it is not going to be installed
This totally baffles me.  I can install the build-dep by hand without 
any problem, but within my sbuild environment, it breaks as above.  Any 
clues on how to solve this?

ldmud: segfaults during build:
 ./make_func instrs
 Primary codes: 249 (127 + 122) - Secondary codes:       62 ( 17 +  45)
 Tabled codes:   73 (  0 +  73) - Tabled varargs codes:  27 (  0 +  27)
 make[1]: *** [instrs.h] Segmentation fault (core dumped)
Ignore for now since it's in multiverse?


Thanks!

[1] https://launchpad.net/distros/ubuntu/edgy/+source/aolserver4/4.0.10-6

-- 
Kees Cook
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: Digital signature
Url : https://lists.ubuntu.com/archives/ubuntu-motu/attachments/20061012/6c59b1dd/attachment.pgp 


More information about the Ubuntu-motu mailing list